aws-0.24.4: Amazon Web Services (AWS) for Haskell

Safe Haskell | None
Language | Haskell2010

Aws.S3.Commands.PutBucketVersioning

Synopsis

- data VersioningState
  - = VersioningSuspended
  - | VersioningEnabled
- data PutBucketVersioning = PutBucketVersioning {
  - pbvBucket :: Bucket
  - pbvVersioningConfiguration :: VersioningState
  }
- putBucketVersioning :: Bucket -> VersioningState -> PutBucketVersioning
- data PutBucketVersioningResponse = PutBucketVersioningResponse

# Documentation

data VersioningState #

Constructors

VersioningSuspended |
VersioningEnabled |

#### Instances

Instances details

Show VersioningState # |
Instance details Defined in Aws.S3.Commands.PutBucketVersioning Methods showsPrec :: Int -> VersioningState -> ShowS # show :: VersioningState -> String # showList :: [VersioningState] -> ShowS #

data PutBucketVersioning #

Sets the versioning state of an existing bucket.

Constructors

PutBucketVersioning |

Fields

- pbvBucket :: Bucket
- pbvVersioningConfiguration :: VersioningState

#### Instances

Instances details

SignQuery PutBucketVersioning # | ServiceConfiguration: `S3Configuration`

Instance details

Defined in Aws.S3.Commands.PutBucketVersioning

Associated Types

type ServiceConfiguration PutBucketVersioning |
Instance details Defined in Aws.S3.Commands.PutBucketVersioning type ServiceConfiguration PutBucketVersioning = S3Configuration

Methods

signQuery :: PutBucketVersioning -> ServiceConfiguration PutBucketVersioning queryType -> SignatureData -> SignedQuery #

Show PutBucketVersioning # |
Instance details Defined in Aws.S3.Commands.PutBucketVersioning Methods showsPrec :: Int -> PutBucketVersioning -> ShowS # show :: PutBucketVersioning -> String # showList :: [PutBucketVersioning] -> ShowS #
Transaction PutBucketVersioning PutBucketVersioningResponse # |
Instance details Defined in Aws.S3.Commands.PutBucketVersioning
type ServiceConfiguration PutBucketVersioning # |
Instance details Defined in Aws.S3.Commands.PutBucketVersioning type ServiceConfiguration PutBucketVersioning = S3Configuration

putBucketVersioning :: Bucket -> VersioningState -> PutBucketVersioning #

data PutBucketVersioningResponse #

Constructors

PutBucketVersioningResponse |

#### Instances

Instances details

AsMemoryResponse PutBucketVersioningResponse # |

Instance details

Defined in Aws.S3.Commands.PutBucketVersioning

Associated Types

type MemoryResponse PutBucketVersioningResponse |
Instance details Defined in Aws.S3.Commands.PutBucketVersioning type MemoryResponse PutBucketVersioningResponse = PutBucketVersioningResponse

Methods

loadToMemory :: PutBucketVersioningResponse -> ResourceT IO (MemoryResponse PutBucketVersioningResponse) #

Show PutBucketVersioningResponse # |
Instance details Defined in Aws.S3.Commands.PutBucketVersioning Methods showsPrec :: Int -> PutBucketVersioningResponse -> ShowS # show :: PutBucketVersioningResponse -> String # showList :: [PutBucketVersioningResponse] -> ShowS #
ResponseConsumer r PutBucketVersioningResponse # |

Instance details

Defined in Aws.S3.Commands.PutBucketVersioning

Associated Types

type ResponseMetadata PutBucketVersioningResponse |
Instance details Defined in Aws.S3.Commands.PutBucketVersioning type ResponseMetadata PutBucketVersioningResponse = S3Metadata

Methods

responseConsumer :: Request -> r -> IORef (ResponseMetadata PutBucketVersioningResponse) -> HTTPResponseConsumer PutBucketVersioningResponse #

Transaction PutBucketVersioning PutBucketVersioningResponse # |
Instance details Defined in Aws.S3.Commands.PutBucketVersioning
type MemoryResponse PutBucketVersioningResponse # |
Instance details Defined in Aws.S3.Commands.PutBucketVersioning type MemoryResponse PutBucketVersioningResponse = PutBucketVersioningResponse
type ResponseMetadata PutBucketVersioningResponse # |
Instance details Defined in Aws.S3.Commands.PutBucketVersioning type ResponseMetadata PutBucketVersioningResponse = S3Metadata